package models

func NewRenderFailedError(err error, docs []*Document) *RenderFailedError {
	r := RenderFailedError{
		Message: err.Error(),
		Details: make([]*RenderFailedDocDetails, len(docs)),
	}

	for i, doc := range docs {
		r.Details[i].Type = doc.Type
		r.Details[i].Metadata = doc.Metadata
		r.Details[i].RenderErrors = doc.RenderErrors
	}

	return &r
}

func (err *RenderFailedError) Error() string {
	return err.Message
}
