// Code generated by go-swagger; DO NOT EDIT.

package rendering

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// RenderOKCode is the HTTP code returned for type RenderOK
const RenderOKCode int = 200

/*RenderOK The rendered documents

swagger:response renderOK
*/
type RenderOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Document `json:"body,omitempty"`
}

// NewRenderOK creates RenderOK with default headers values
func NewRenderOK() *RenderOK {

	return &RenderOK{}
}

// WithPayload adds the payload to the render o k response
func (o *RenderOK) WithPayload(payload []*models.Document) *RenderOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the render o k response
func (o *RenderOK) SetPayload(payload []*models.Document) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *RenderOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.Document, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// RenderBadRequestCode is the HTTP code returned for type RenderBadRequest
const RenderBadRequestCode int = 400

/*RenderBadRequest A blocking rendering error occured

swagger:response renderBadRequest
*/
type RenderBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.RenderFailedError `json:"body,omitempty"`
}

// NewRenderBadRequest creates RenderBadRequest with default headers values
func NewRenderBadRequest() *RenderBadRequest {

	return &RenderBadRequest{}
}

// WithPayload adds the payload to the render bad request response
func (o *RenderBadRequest) WithPayload(payload *models.RenderFailedError) *RenderBadRequest {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the render bad request response
func (o *RenderBadRequest) SetPayload(payload *models.RenderFailedError) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *RenderBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(400)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// RenderUnauthorizedCode is the HTTP code returned for type RenderUnauthorized
const RenderUnauthorizedCode int = 401

/*RenderUnauthorized Unauthorized

swagger:response renderUnauthorized
*/
type RenderUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewRenderUnauthorized creates RenderUnauthorized with default headers values
func NewRenderUnauthorized() *RenderUnauthorized {

	return &RenderUnauthorized{}
}

// WithPayload adds the payload to the render unauthorized response
func (o *RenderUnauthorized) WithPayload(payload *models.Error) *RenderUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the render unauthorized response
func (o *RenderUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *RenderUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*RenderDefault generic error response

swagger:response renderDefault
*/
type RenderDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewRenderDefault creates RenderDefault with default headers values
func NewRenderDefault(code int) *RenderDefault {
	if code <= 0 {
		code = 500
	}

	return &RenderDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the render default response
func (o *RenderDefault) WithStatusCode(code int) *RenderDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the render default response
func (o *RenderDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the render default response
func (o *RenderDefault) WithPayload(payload *models.Error) *RenderDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the render default response
func (o *RenderDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *RenderDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
